import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Wave here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Wave extends Actor
{
    private GreenfootImage img;
    private int horSpeed, vertSpeed;
    private double horSpeedExact,horSpeedExactInc = .1, vertSpeedExact;
    public Wave()
    {
        img = new GreenfootImage(1400,1000);
        img.setColor(new Color(90,20,150));
        img.fill();
        drawWaves(img);
        setImage(img);

    }

    public void act() 
    {
        speedScript();
        movement();
    }    

    public void drawWaves(GreenfootImage newImg)
    {
        for (int k = 0; k < 8; k++)
        {
            for (int i = 0; i < 100; i++)
            {
                newImg.setColor(new Color(50 + i ,30 + i ,210));
                newImg.drawLine((5 * i + k) - 30,0,50 * i,1000);
            }
        }
    }

    public void movement()
    {
        setLocation(getX() + getHorSpeed(), getY() + getVertSpeed());
    }

    public void speedScript()
    {
        //         if (vertSpeedExact >= 5) vertSpeedExact *= -1;
        //         else vertSpeedExact += .1;
        //         setVertSpeed((int)vertSpeedExact);

        if (horSpeedExact < 1 && horSpeedExact > 0) horSpeedExact = -1;
        if (horSpeedExact > -1 && horSpeedExact < 0) horSpeedExact = 1;
        if (horSpeedExact >= 6)
        {
            horSpeedExactInc *= -1;
            horSpeedExact += horSpeedExactInc;
            movement();
        }
        else if (horSpeedExact <= -6)
        {
            horSpeedExactInc *= -1;
            horSpeedExact += horSpeedExactInc;
            movement();            
        }
        else
            horSpeedExact += horSpeedExactInc;
        setHorSpeed((int)horSpeedExact);
    }

    public int getHorSpeed()
    {
        return horSpeed;
    }

    public void setHorSpeed(int newHorSpeed)
    {
        horSpeed = newHorSpeed;
    }

    public int getVertSpeed()
    {
        return vertSpeed;
    }

    public void setVertSpeed(int newVertSpeed)
    {
        vertSpeed = newVertSpeed;
    }
}
