import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Black_Background here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Black_Background extends World
{
    private GreenfootImage bg;
    private Wave myWave;
    /**
     * Constructor for objects of class Black_Background.
     * 
     */
    public Black_Background()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1, false); 
        bg = getBackground();
        bg.setColor(Color.WHITE);
        bg.fill();
        Electric_Square.initializeImages();
        setBackground(bg);
        setPaintOrder(Electric_Square.class, Particle.class, Wave.class);
        myWave = new Wave();
        addObject(myWave,getWidth() / 2, getHeight() / 2);
    }

    public void act()
    {
//         addObject(new Particle(), Greenfoot.getRandomNumber(getWidth() / 2) + getWidth() / 4,
//                                   Greenfoot.getRandomNumber(getHeight() / 2) + getHeight() / 4);
//                                   
        if (getObjects(Electric_Square.class).size() == 0)
        {
            populateSquares();
        }

    }

    public void populateSquares()
    {
        for (int i = 0; i < 6; i++)
        {
            boolean randVert, randRev;
            if (Greenfoot.getRandomNumber(100) < 50) randVert = true; else randVert = false;
            if (Greenfoot.getRandomNumber(100) < 50) randRev = true; else randRev = false;

            addObject(new Electric_Square(Greenfoot.getRandomNumber(5) + 1,randVert,randRev),
                Greenfoot.getRandomNumber(getWidth()),
                Greenfoot.getRandomNumber(getHeight()));
        }
    }
}
